Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IdeDriver::deDisplay Struct Reference

a basic struct used to hold display information More...

`#include <deDriver.hpp>`

List of all members.

## Public Attributes
long | Adapter
| adapter number
long | Width
| the width of the display
long | Height
| the height
HMONITOR | MonitorHandle
| the handle to the attached monitor
BPP | BackBpp
| the BPP format for the backbuffer/rendertarget
BPP | FrontBpp
| the BPP format for the actual display
ZPP | Zpp
| the Z-buffer format for the display
long | ZDepth
| bit-depth for the depth channel
long | StencilDepth
| bit-depth for the stencil channel
long | RefreshRate
| the refresh rate of the screen, in Hertz
long | FSAASamples
| number of anti-aliasing samples to take per screen pixel
deBoolean | TripleBuffer
| enable triple-buffering, which can alleviate frame timing issues with VSync enabled.
deBoolean | Windowed
| false for full-screen, true for windowed
deBoolean | IgnoreVSync
| set to true to disable v-sync

## Detailed Description

a basic struct used to hold display information

## Member Data Documentation

long IdeDriver::deDisplay::Adapter

| adapter number

BPP IdeDriver::deDisplay::BackBpp

| the BPP format for the backbuffer/rendertarget

BPP IdeDriver::deDisplay::FrontBpp

| the BPP format for the actual display

long IdeDriver::deDisplay::FSAASamples

| number of anti-aliasing samples to take per screen pixel

long IdeDriver::deDisplay::Height

| the height

deBoolean IdeDriver::deDisplay::IgnoreVSync

| set to true to disable v-sync

HMONITOR IdeDriver::deDisplay::MonitorHandle

| the handle to the attached monitor

long IdeDriver::deDisplay::RefreshRate

| the refresh rate of the screen, in Hertz

long IdeDriver::deDisplay::StencilDepth

| bit-depth for the stencil channel

deBoolean IdeDriver::deDisplay::TripleBuffer

| enable triple-buffering, which can alleviate frame timing issues with VSync enabled.

long IdeDriver::deDisplay::Width

| the width of the display

deBoolean IdeDriver::deDisplay::Windowed

| false for full-screen, true for windowed

long IdeDriver::deDisplay::ZDepth

| bit-depth for the depth channel

ZPP IdeDriver::deDisplay::Zpp

| the Z-buffer format for the display

The documentation for this struct was generated from the following file:

- deDriver.hpp